Subject: Re: [magma] magma Digest, Vol 44, Issue 2

From: "Rajib Karmakar" <[email-masked]>
Date: Thu, 6 Mar 2008 10:21:38 +0530

Yes, the intial state will be INCLUDE(NULL), as that means that there is no
join state for the specified group.

On Thu, Mar 6, 2008 at 1:30 AM, <[email-masked]> wrote:

> Send magma mailing list submissions to
>        [email-masked]
>
> To subscribe or unsubscribe via the World Wide Web, visit
>        https://www.ietf.org/mailman/listinfo/magma
> or, via email, send a message with subject or body 'help' to
>        [email-masked]
>
> You can reach the person managing the list at
>        [email-masked]
>
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of magma digest..."
>
>
> Today's Topics:
>
>   1. Re: What is an IGMPv3 Router's initial current state for a
>      multicast group? (Mark Fine)
>
>
> ----------------------------------------------------------------------
>
> Message: 1
> Date: Wed, 5 Mar 2008 11:13:18 -0800
> From: Mark Fine <[email-masked]>
> Subject: Re: [magma] What is an IGMPv3 Router's initial current state
>        for a   multicast group?
> To: Suvendu Mozumdar <[email-masked]>
> Cc: [email-masked]
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=US-ASCII; format=flowed; delsp=yes
>
> Correct, similar to the specification for Interface State:
>
> 5.1. Action on Change of Interface State
>
>           << snip >>
>
>
>        If
>  no interface
>    state existed for that multicast address before the change (i.e.,
> the
>    change consisted of creating a new per-interface record), or if no
>    state exists after the change (i.e., the change consisted of
> deleting
>    a per-interface record), then the "non-existent" state is considered
>    to have a filter mode of INCLUDE and an empty source list.
>
> On Mar 4, 2008, at 10:40 PM, Suvendu Mozumdar wrote:
>
> > Hi,
> >       I have a query regarding the IGMPv3/MLD Router behaviour. In
> > IGMPv3/MLDv2, the action of a router on receiving a report message
> > for a particular Group depends on the router's current state for the
> > group at the time of receiving the report, as defined in section 6.4
> > of RFC 3376. Now what should be a router's initial current state for
> > a group when it has received the first report for the group, lets
> > say a router comes up afresh and receives the first report message
> > for a group G1 with filter mode TO_EX(NULL). Now it has to consider
> > some initial current state for the group and then based on that it
> > has to take an action for the TO_EX(NULL) report.
> >
> > My question is what should be a router's initial current state for a
> > group. I feel it should be INCLUDE(NULL), please advise.
> >
> > --
> > Suvendu Mozumdar.
> > QA Architect.
> > Ixia Technologies Pvt. Ltd
> > 9th Floor, Infinity Tower II
> > Sector V, Saltlake.
> > Kolkata 700091.
> > INDIA.
> > Mob : +919874081221
> > _______________________________________________
> > magma mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/magma
>
>
>
> ------------------------------
>
> _______________________________________________
> magma mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/magma
>
>
> End of magma Digest, Vol 44, Issue 2
> ************************************
>
_______________________________________________
magma mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/magma